org.richfaces.application.push.impl

## Class PushContextImpl

- java.lang.Object
- - org.richfaces.application.push.impl.PushContextImpl

- All Implemented Interfaces:
    EventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, PushContext

      public class PushContextImpl
      extends Object
      implements PushContext, javax.faces.event.SystemEventListener

  Author:
    Nick Belaevski
  See Also:
    `PushContext`

- - ### Field Summary

    - ### Fields inherited from interface org.richfaces.application.push.PushContext

      `INSTANCE_KEY_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PushContextImpl(String pushHandlerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy()` Destroys this `PushContext` instance once the application is teared down.
    `String` | `getPushHandlerUrl()` Returns the URL on which listens Push handler
    `SessionFactory` | `getSessionFactory()`
    `SessionManager` | `getSessionManager()`
    `TopicsContext` | `getTopicsContext()`
    `void` | `init(javax.faces.context.FacesContext facesContext)` Initializes `PushContext` instance once the application is started.
    `boolean` | `isListenerForSource(Object source)`
    `void` | `processEvent(javax.faces.event.SystemEvent event)` Destroyes this push context before the application is destroyed

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PushContextImpl

          public PushContextImpl(String pushHandlerUrl)

  - ### Method Detail

    - #### init

          public void init(javax.faces.context.FacesContext facesContext)

      Description copied from interface: `PushContext`
      Initializes `PushContext` instance once the application is started.
      Specified by:
        `init` in interface `PushContext`

    - #### destroy

          public void destroy()

      Description copied from interface: `PushContext`
      Destroys this `PushContext` instance once the application is teared down.
      Specified by:
        `destroy` in interface `PushContext`

    - #### processEvent

          public void processEvent(javax.faces.event.SystemEvent event)
                            throws javax.faces.event.AbortProcessingException

      Destroyes this push context before the application is destroyed
      Specified by:
        `processEvent` in interface `javax.faces.event.SystemEventListener`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### isListenerForSource

          public boolean isListenerForSource(Object source)

      Specified by:
        `isListenerForSource` in interface `javax.faces.event.SystemEventListener`

    - #### getTopicsContext

          public TopicsContext getTopicsContext()

      Specified by:
        `getTopicsContext` in interface `PushContext`

    - #### getSessionFactory

          public SessionFactory getSessionFactory()

      Specified by:
        `getSessionFactory` in interface `PushContext`

    - #### getSessionManager

          public SessionManager getSessionManager()

      Specified by:
        `getSessionManager` in interface `PushContext`

    - #### getPushHandlerUrl

          public String getPushHandlerUrl()

      Description copied from interface: `PushContext`
      Returns the URL on which listens Push handler
      Specified by:
        `getPushHandlerUrl` in interface `PushContext`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.